View Issue Details

IDProjectCategoryView StatusLast Update
0015278ScribusInternalpublic2019-06-04 20:56
Reporterdcb Assigned Tojghali  
PrioritylowSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.4.7 
Target VersionFixed in Version1.5.5.svn 
Summary0015278: Incorrect use of iterator after erasing element
Description[scribus-1.4.7/scribus/plugins/tools/2geomtools/lib2geom/quadtree.cpp:111]: (error) Iterator 'i' used after element has been erased.

Source code is

    for(Quad::iterator i = q->data.begin(); i != q->data.end(); i++) {
        if(*i == shape) {
            q->data.erase(i);
TagsNo tags attached.
PatchNo

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2018-04-28 16:27 dcb New Issue
2018-04-29 13:42 jghali Category Plug-ins => Internal
2018-04-29 13:42 jghali Summary scribus-1.4.7/scribus/plugins/tools/2geomtools/lib2geom/quadtree.cpp:109: use after erase ? => Incorrect use of iterator after erasing element
2018-04-29 13:46 jghali Assigned To => jghali
2018-04-29 13:46 jghali Status new => resolved
2018-04-29 13:46 jghali Resolution open => fixed
2018-04-29 13:46 jghali Fixed in Version => 1.5.5.svn
2019-06-04 20:56 cbradney Status resolved => closed